Loading...
Searching...
No Matches
doc_renamemetasidref_common Class Reference

## Detailed Description

  Replaces all uses of a given meta identifier attribute value with another value.

  In SBML, object "meta" identifiers are of the XML data type `ID`; the SBML object attribute itself is typically named `metaid`. All attributes that hold values referring to values of type `ID` are of the XML data type `IDREF`. They are also sometimes informally referred to as "metaid refs", in analogy to the SBML-defined type `SIdRef`.

This method works by looking at all meta-identifier attribute values, comparing the identifiers to the value of `oldid`. If any matches are found, the matching identifiers are replaced with `newid`. The method does not descend into child elements.

Parameters

  oldid | the old identifier.
  newid | the new identifier.